// echofilehdr.idl : IDL source for echofilehdr
//

// This file will be processed by the MIDL tool to
// produce the type library (echofilehdr.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(AC7E6D82-9189-4641-9726-B3F012981C9B),
	dual,
	nonextensible,
	helpstring("IechofilehdrObj Interface"),
	pointer_default(unique)
]
interface IechofilehdrObj : IDispatch{
		[id(1), helpstring("method OnProcessHeader")] HRESULT OnProcessHeader([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
		[id(2), helpstring("method OnTestMUHeaderBlock")] HRESULT OnTestMUHeaderBlock([in] BSTR bstrNamespace, [in] BSTR bstrLocalName, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(83C7E38B-6011-47A0-86F1-6E1AC0FD1F8C),
	version(1.0),
	helpstring("echofilehdr 1.0 Type Library")
]
library echofilehdrLib
{
	importlib("stdole2.tlb");
	[
		uuid(085E0CCE-0BE9-43F9-8043-8298BD092641),
		helpstring("echofilehdrObj Class")
	]
	coclass echofilehdrObj
	{
		[default] interface IechofilehdrObj;
	};
};
